Bug 827436 - (bluetooth-wizard:2948): GLib-GIO-WARNING **: Type of return value is incorrect, got `(s)', expected `()'
(bluetooth-wizard:2948): GLib-GIO-WARNING **: Type of return value is incorre...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-bluetooth (Show other bugs)
7.0
Unspecified Unspecified
urgent Severity urgent
: beta
: 7.0
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 09:35 EDT by Martin
Modified: 2014-09-14 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:02:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace for bluetooth-wizard (5.53 KB, text/plain)
2012-06-01 09:35 EDT, Martin
no flags Details

  None (edit)
Description Martin 2012-06-01 09:35:32 EDT
Created attachment 588451 [details]
Backtrace for bluetooth-wizard

Description of problem:
bluetooth-wizard can't pair with another computer.

Version-Release number of selected component (if applicable):
gnome-bluetooth-3.4.0-3.el7.x86_64
gnome-bluetooth-libs-3.4.0-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Run bluetooth-wizard
2. Select device (another computer) from list and click "Continue".
3. Check PIN and click "Matches"
  
Actual results:
Devices aren't paired. Pairing timeouts on "Setting up 'xxx' failed."

Expected results:
Devices pairs and wizard successfully finishes.

Additional info:
(bluetooth-wizard:2963): GLib-GIO-WARNING **: Type of return value is incorrect, got `(s)', expected `()'

(bluetooth-wizard:2963): Bluetooth-WARNING **: CreateDevice failed: Timeout was reached

** (bluetooth-wizard:2963): WARNING **: Setting up 'xxx' failed: Timeout was reached
Comment 1 Rafael Godínez Pérez 2012-06-10 22:33:36 EDT
It happens exactly the same in F17, with gnome-bluetooth-3.4.0-2.fc17.x86_64 .
See BZ #819203
Comment 2 Ludek Smid 2012-06-22 10:50:06 EDT
This is not RHEL 7.0 Alpha 2 blocker. Changing to Public Beta blocker.
Comment 3 Bastien Nocera 2012-07-16 05:18:02 EDT
It's already fixed upstream and in Fedora. Somebody will have to resync the package.
Comment 4 Bastien Nocera 2012-10-26 02:46:33 EDT
Putting as MODIFIED as the fix already happened upstream and in Fedora.
Comment 5 Martin 2013-01-24 07:34:46 EST
Pairing is fixed.
Comment 6 Ludek Smid 2014-06-13 06:02:08 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.